﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[PICAUD]') AND name = N'XPICAUD1')
BEGIN 
PRINT 'Creating index XPICAUD1 on table PICAUD'
CREATE UNIQUE NONCLUSTERED INDEX [XPICAUD1] ON [dbo].[PICAUD] 
(
	[SKUN] ASC,
	[DATE1] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PICAUD' AND COLUMN_NAME = 'IDEL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PICAUD_IDEL')
BEGIN 
    PRINT 'Creating default constraint DF_PICAUD_IDEL on table PICAUD' 
    ALTER TABLE [dbo].[PICAUD]
    ADD CONSTRAINT [DF_PICAUD_IDEL] DEFAULT ((0)) FOR [IDEL]
END 
GO

